/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Interred Grizzle\Champion\PestilantBandage.cs
Lines of code: 67
***********************************************************/


using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a pestilant bandage corpse" )]
	public class PestilantBandage : BaseCreature
	{
		[Constructable]
		public PestilantBandage() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.4, 0.8 )
		{
			Name = "a pestilant bandage";
			Body = 154;
			BaseSoundID = 471;

			SetStr( 709, 740 );
			SetDex( 144, 180 );
			SetInt( 55, 79 );

			SetHits( 408, 434 );
			SetStam( 144, 180 );
			SetMana( 55, 79 );

			SetDamage( 23, 33 );

			SetDamageType( ResistanceType.Physical, 40 );
			SetDamageType( ResistanceType.Poison, 40 );
			SetDamageType( ResistanceType.Cold, 20 );

			SetResistance( ResistanceType.Physical, 46, 47 );
			SetResistance( ResistanceType.Fire, 10, 12 );
			SetResistance( ResistanceType.Cold, 54, 56 );
			SetResistance( ResistanceType.Poison, 22, 25 );
			SetResistance( ResistanceType.Energy, 21);

			SetSkill( SkillName.MagicResist, 48.4, 76.0 );
			SetSkill( SkillName.Tactics, 75.7, 91.0 );
			SetSkill( SkillName.Wrestling, 70.8, 97.8 );

			Fame = 8000;
			Karma = -8000;

			VirtualArmor = 50;

			PackItem( new Garlic( 5 ) );
			PackItem( new Bandage( 10 ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.FilthyRich );
			AddLoot( LootPack.Gems );
			AddLoot( LootPack.Potions );
		}

		public override bool BleedImmune{ get{ return true; } }
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Lethal; } }

		public PestilantBandage( Serial serial ) : base( serial )
		{
		}

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}